
class Checkpoint extends Decoration;

#exec TEXTURE IMPORT NAME=DefaultCpoint FILE=Textures\DefaultCpoint.bmp

#exec mesh import mesh=CheckpointMesh anivfile=Models\CheckpointMesh_a.3d datafile=Models\CheckpointMesh_d.3d x=0 y=0 z=0 mlod=0
#exec mesh origin mesh=CheckpointMesh x=0 y=0 z=0
#exec mesh sequence mesh=CheckpointMesh seq=All startframe=0 numframes=1

#exec meshmap new meshmap=CheckpointMesh mesh=CheckpointMesh
#exec meshmap scale meshmap=CheckpointMesh x=0.03320 y=0.03320 z=0.06641

var vector OrgLocation;       // Original Player Location
var rotator OrgRotation;      // Original Player Rotation

function PostBeginPlay() 
{
  	local vector currLocation;
  	local int i;

  	OrgLocation = Location;
  	OrgRotation = Rotation;
  
   currLocation = Location;
   currLocation.Z -= 40.0;   // Put the marking on the ground
   setLocation(currLocation);
   setRotation(rot(0, 0, 0));
	Mesh = Mesh'CheckpointMesh';
	if (PlayerPawn(Owner).PlayerReplicationInfo.TalkTexture != none)
   	MultiSkins[1] = PlayerPawn(Owner).PlayerReplicationInfo.TalkTexture;
}

defaultproperties
{
	Drawscale=0.5
	bOnlyOwnerSee=True
   DrawType=DT_Mesh
   Mesh=Mesh'CheckpointMesh'
   Skin=Texture'Botpack.FacePanel0'
   bUnlit=True
   bStatic=False
   bCollideActors=True
   CollisionRadius=17.000000
   CollisionHeight=39.000000
   MultiSkins(0)=Texture'BotPack.Icons.HudLine'
  	MultiSkins(1)=Texture'DefaultCpoint'
}